2019-06-24 18:36 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006222Spring engineGeneralpublic2019-06-13 23:25
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006222: 104.0.1-1239-g12caea1 maintenance Circuit AI does not do anything in ssf loaded games
DescriptionCircuit AI seems to stop or not be initialized in ssf save games. In slsf it worked, although it did not perfectly pick up from where it left off (and at this point I don't expect it to). I'm reporting it here because, even if the fix in AI-side, lamer would need to know what is required for a fix.
TagsNo tags attached.
Checked infolog.txt for lua ErrorsYes
Attached Files

-Relationships
+Relationships

-Notes

~0019991

Google_Frog (reporter)

https://github.com/ZeroK-RTS/CrashReports/files/3192035/movetest.zip

~0020004

Google_Frog (reporter)

See https://github.com/rlcevg/CircuitAI/issues/101

~0020005

lamer (reporter)

IMHO it's AI-side issue: with slsf Zero-K recreates units and AI receives AI::UnitCreated and AI::UnitFinished events for each unit before AI::Load event; while with ssf AI receives only AI::Load event (and it can ask engine for the list of own units).

~0020006

Kloot (developer)

CircuitAI actually should receive unit events when loading an ssf since it claims loadSupported=no (https://github.com/rlcevg/CircuitAI/blob/master/data/AIInfo.lua#L42), see https://github.com/spring/spring/blob/develop/rts/ExternalAI/SkirmishAIWrapper.cpp#L140. Can you test this in 1248-g5b914dd and attach an infolog?

~0020008

lamer (reporter)

104.0.1-1249-g9ed1ae2 maintenance
didn't work, infolog attached.

[f=-000001] [AIWrapper::InitLibrary][AI=0 team=1] postLoad=0 loadSupported=0 numUnits=0

numUnits==0 for some reason at that stage.

~0020009

Kloot (developer)

Last edited: 2019-06-12 22:51

View 2 revisions

hmm yes: host AI's are currently not even PostLoaded (EngineOutHandler just CR_IGNORE's them) and regular postLoad=0 AI creation precedes game state restoration (hence numUnits=0), solving this will take one additional commit.

+Notes

-Issue History
Date Modified Username Field Change
2019-05-17 16:59 Google_Frog New Issue
2019-05-17 16:59 Google_Frog File Added: infolog_full.txt
2019-05-17 16:59 Google_Frog File Added: movetest.lua
2019-05-17 17:01 Google_Frog Note Added: 0019991
2019-06-04 18:08 Google_Frog Note Added: 0020004
2019-06-05 18:32 lamer Note Added: 0020005
2019-06-11 20:12 Kloot Note Added: 0020006
2019-06-12 17:52 lamer File Added: infolog.zip
2019-06-12 17:52 lamer Note Added: 0020008
2019-06-12 21:49 Kloot Note Added: 0020009
2019-06-12 22:51 Kloot Note Edited: 0020009 View Revisions
2019-06-13 23:25 Kloot Assigned To => Kloot
2019-06-13 23:25 Kloot Status new => resolved
2019-06-13 23:25 Kloot Resolution open => fixed
2019-06-13 23:25 Kloot Fixed in Version => 104.0 +git
+Issue History